<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.layout.taglib.internal.servlet.LayoutStructureCommonStylesCSSServlet" immediate="true">
  <property name="osgi.http.whiteboard.servlet.pattern" type="String" value="/layout-common-styles/*"/>
  <property name="osgi.http.whiteboard.servlet.name" type="String" value="com.liferay.layout.taglib.internal.servlet.LayoutStructureCommonStylesCSSServlet"/>
  <property name="osgi.http.whiteboard.context.path" type="String" value="/layout-common-styles"/>
  <service>
    <provide interface="javax.servlet.Servlet"/>
  </service>
  <reference name="_groupLocalService" interface="com.liferay.portal.kernel.service.GroupLocalService" field="_groupLocalService"/>
  <reference name="_layoutLocalService" interface="com.liferay.portal.kernel.service.LayoutLocalService" field="_layoutLocalService"/>
  <reference name="_layoutSetLocalService" interface="com.liferay.portal.kernel.service.LayoutSetLocalService" field="_layoutSetLocalService"/>
  <reference name="_permissionCheckerFactory" policy="dynamic" interface="com.liferay.portal.kernel.security.permission.PermissionCheckerFactory" policy-option="greedy" field="_permissionCheckerFactory"/>
  <reference name="_portal" interface="com.liferay.portal.kernel.util.Portal" field="_portal"/>
  <reference name="_userLocalService" interface="com.liferay.portal.kernel.service.UserLocalService" field="_userLocalService"/>
  <implementation class="com.liferay.layout.taglib.internal.servlet.LayoutStructureCommonStylesCSSServlet"/>
</scr:component>
